Index: trunk/ippTools/scripts/difftest.sh
===================================================================
--- trunk/ippTools/scripts/difftest.sh	(revision 15336)
+++ trunk/ippTools/scripts/difftest.sh	(revision 15337)
@@ -15,2 +15,15 @@
 difftool -diffskyfile -diff_id 1 || exit 1
 difftool -updaterun -state stop -diff_id 1 || exit 1
+
+#
+# diff_id 2
+#
+difftool -definerun -workdir file:///tmp/diff -skycell_id foo1 -tess_id bar || exit 1
+difftool -addinputskyfile -diff_id 2 -warp_id 1 -kind warped -template || exit 1
+difftool -addinputskyfile -diff_id 2 -warp_id 1 -kind warped || exit 1
+#difftool -updaterun -state run -diff_id 1 || exit 1
+difftool -todiffskyfile || exit 1
+difftool -inputskyfile || exit 1
+difftool -adddiffskyfile -diff_id 2 -uri file:///tmp/diff/skyfile -path_base file://lalaland -bg 1 -bg_stdev 2 || exit 1
+difftool -diffskyfile -diff_id 2 || exit 1
+difftool -updaterun -state stop -diff_id 2 || exit 1
Index: trunk/ippTools/scripts/magic_dep.md
===================================================================
--- trunk/ippTools/scripts/magic_dep.md	(revision 15336)
+++ trunk/ippTools/scripts/magic_dep.md	(revision 15337)
@@ -1,1 +1,6 @@
+# node      dep
 a   STR     NULL
+b   STR     NULL
+root   MULTI
+root   STR     a
+root   STR     b
Index: trunk/ippTools/scripts/magictest.sh
===================================================================
--- trunk/ippTools/scripts/magictest.sh	(revision 15336)
+++ trunk/ippTools/scripts/magictest.sh	(revision 15337)
@@ -8,7 +8,9 @@
 magictool -definerun -workdir file:///foo/bar/ || exit 1
 magictool -addinputskyfile -magic_id 1 -diff_id 1 -node a || exit 1
+magictool -addinputskyfile -magic_id 1 -diff_id 2 -node b || exit 1
+magictool -inputtree -magic_id 1 -dep_file magic_dep.md 
+
 magictool -updaterun -state run -magic_id 1 || exit 1
 
-./magictool -inputtree -magic_id 1 -dep_file magic_dep.md 
 
 
Index: trunk/ippTools/src/magictool.c
===================================================================
--- trunk/ippTools/src/magictool.c	(revision 15336)
+++ trunk/ippTools/src/magictool.c	(revision 15337)
@@ -483,8 +483,5 @@
     pxNode *root = psHashLookup(forest, "root");
     psFree(forest);
-
-    pxTreePrint(stdout, root);
-    // crawl through the tree and look for un-"done" bottom nodes
-//    pxTreeCrawl(root, findBaseNodes, work);
+//    pxTreePrint(stdout, root);
 
     // crawl through the tree and looking for nodes with children that are all
